Vulnerability in the processing of PNG images in Adobe Photoshop

Posted: September 3, 2012 in Vulnerabilities
Tags: ,

Adobe LogoVulnerability in the processing of PNG images in Adobe Photoshop

Affected Products: Adobe Photoshop CS6 13.x

Affected versions: Adobe Photoshop 13.0 20120315.r.428, perhaps the only one.

Description:

The vulnerability allows a remote user to execute arbitrary code on the target system.

The vulnerability is caused due to a boundary error in the module “Standard MultiPlugin.8BF” when processing PNG images. This can help PNG file containing a specially crafted size for “tRNS”, heap overflow and execute arbitrary code on the target system.

Manufacturer URL: http://www.adobe.com

Solution: Install the latest version 13.0.1 from the manufacturer.

links:

http://www.adobe.com/support/security/bulletins/apsb12-20.html

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out /  Change )

Google photo

You are commenting using your Google account. Log Out /  Change )

Twitter picture

You are commenting using your Twitter account. Log Out /  Change )

Facebook photo

You are commenting using your Facebook account. Log Out /  Change )

Connecting to %s